Bug 1275237 - [RFE] Add support to search users/groups by namespace in REST
[RFE] Add support to search users/groups by namespace in REST
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Scott Herold
Gil Klein
: AutomationBlocker, FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 06:26 EDT by Ondra Machacek
Modified: 2017-07-19 11:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-19 11:35:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑future?
omachace: planning_ack?
omachace: devel_ack?
omachace: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Ondra Machacek 2015-10-26 06:26:22 EDT
Description of problem:
Currently there is no way to list users by it's namepsace in REST.
Please support it, because if there are two DC's where one is not working, then
there is no way how to list users from the working DC.

Version-Release number of selected component (if applicable):
3.6

How reproducible:
always

Steps to Reproduce:
1. run query /api/domains/id/users?namespace="DC=redhat,DC=com"

Actual results:
search pattern 'namespace=' is ignored

Expected results:
search pattern 'namespace=' is supported

Additional info:
Comment 1 Yaniv Kaul 2017-06-07 14:38:03 EDT
Closing old RFEs. Please re-open if relevant.
Comment 2 Gonza 2017-07-19 11:25:01 EDT
We need this for automation testing for searching users with special characters on specific AD domains.
Comment 3 Oved Ourfali 2017-07-19 11:35:18 EDT
I don't see this get prioritized at the moment.
Closing as wontfix.
If we have additional resources for that, we'll reopen.

Note You need to log in before you can comment on or make changes to this bug.